# Self-Organizing Criticality:
This repository has methods to investigate criticality in Complex networks. The API is under active development, breaking changes may occur.

[![Build Status](https://travis-ci.org/Saran-nns/self_organized_criticality.svg?branch=master)](https://travis-ci.org/Saran-nns/self_organized_criticality)
[![codecov](https://codecov.io/gh/Saran-nns/self_organized_criticality/branch/master/graph/badge.svg)](https://codecov.io/gh/Saran-nns/self_organized_criticality)
[![PyPI version](https://badge.fury.io/py/complexnetwork.svg)](https://badge.fury.io/py/complexnetwork)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)
![PyPI - Downloads](https://img.shields.io/pypi/dw/complexnetwork.svg)
[![License](https://img.shields.io/badge/License-MIT%20-blue.svg)](https://opensource.org/licenses/MIT)

## Installation

```python
pip install complexnetwork
```
to install from source,

```python
pip install git+https://github.com/Saran-nns/complexnetwork
```

## Workflow
- [x] Avalanche size, interval, duration
- [x] Power laws (Zipf's law) for avalanche size, interval, duration
- [x] Exponent Estimate and Uncertainty
- [x] Ising Model - One and Two point function correlation and covariance
- [x] Plotters
- [ ] Scaling function
- [ ] Exponent Relationships - Avalanche Lifetime Exponent, Size distribution exponent, Height rescaling Exponent
- [ ] Branching Process - Branching Ratio
- [ ] Different Phase Transitions
- [ ] Information transfer - Mutual Information, Transfer Entropy , Partial Information Decomposition, Active information storage, Memory capacity
- [x] PyPi package
- [ ] AutoDoc
- [ ] References
